Smart wallets
List Active Tax Export Schedules
Lists active recurring tax export schedules for a wallet.
x-api-key<token>
In: header
Path Parameters
walletAddressstring
Wallet address used for recurring tax exports
Response Body
curl -X GET "https://api.notuslabs.xyz/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/tax-export/schedules"Empty
{
"statusCode": 404,
"id": "ACCOUNT_ABSTRACTION_ADDRESS_NOT_REGISTERED_WITH_PROJECT",
"message": "The requested wallet \"0x335e110f9aa64deef43b646b4bdf90aac3c7844c\" is not registered with the project"
}Get Smart Wallets by Project GET
This endpoint lists all the smart wallets of the project.
Register Smart Wallet POST
This endpoint registers a new smart wallet for a user, linking this wallet with your project. You can check if the wallet was already registered by checking the _registeredAt_ value from the _Check Smart Wallet_ endpoint.